class Node {
  private PVector position;
  int index;
  boolean done;
  float fs,score;
  Node prev;
  NodeType nodeType = NodeType.NONE;
  boolean isRoute;
  
  int[] linkedNodeIndices;
  
  Node(PVector _position) {
    this.position = _position;
  }

  Node(float x, float y,float z) {
    this.position = new PVector(x,y,z);
  }
  
  PVector getVector(){
    return position;
  }
  
  void reset(){
    this.isRoute = false;
    this.done = false;
    this.prev = null;
    this.fs = Float.MAX_VALUE;
    this.score = Float.MAX_VALUE;
  }
}

