class HEModel{
  ArrayList<HEFace> faces;
  ArrayList<HalfEdge> edges;
  ArrayList<HEVertex> vertices;
  HEModel(){
    faces = new ArrayList<HEFace>();
    edges = new ArrayList<HalfEdge>();
    vertices = new ArrayList<HEVertex>();
  }
  int getFaceCount(){
    return faces.size();
  }
  void addFace(HEFace face){
    faces.add(face);
  }
  void addEdge(HalfEdge edge){
    edges.add(edge);
  }
  HalfEdge getEdge(int _index){
    return edges.get(_index);
  }
  int getEdgeCount(){
    return edges.size();
  }
}
