void buildGUI(){
  cp5 = new ControlP5(this);
  cp5.setAutoDraw(false);
  
  float guiY = height - 100;
  float firstMargin = 30;
  
  //cp5.addTextfield("startFld").setLabelVisible(false).setText(str(0)).setInputFilter(ControlP5.INTEGER).setPosition(firstMargin + 360,guiY + 10).setFocus(false).setAutoClear(false);  
  cp5.addSlider("StartIndex").setRange(0, world.nodeSize()-1).setPosition(firstMargin, guiY + 10).setSize(300, 14).setScrollSensitivity(0.1).setValue(0);

  //cp5.addTextfield("goalFld").setLabelVisible(false).setText(str(world.goalNode.index)).setInputFilter(ControlP5.INTEGER).setPosition(firstMargin + 360,guiY + 30).setFocus(false).setAutoClear(false);
  cp5.addSlider("GoalIndex").setRange(0, world.nodeSize()-1).setPosition(firstMargin, guiY + 30).setSize(300, 14).setScrollSensitivity(0.1).setValue(world.goalNode.index);
  
  //cp5.addSlider("FunnelMargin").setRange(0.0, 1.0).setPosition(firstMargin + 600, guiY + 10).setSize(100, 14).setScrollSensitivity(0.1).setValue(0.0);
  
  importLogArea = cp5.addTextarea("importlog")
                  .setPosition(width - 400,guiY + 10)
                  .setSize(380,80)
                  .setLineHeight(14)
                  .setColor(color(255))
                  .setColorBackground(color(0))
                  .setColorForeground(color(255,100));
                  ;
  
  logArea = cp5.addTextarea("log")
                  .setPosition(0,0)
                  .setSize(width,200)
                  .setLineHeight(14)
                  .setColor(color(255))
                  .setColorBackground(color(0,50))
                  .setColorForeground(color(255,100));
                  ;
  drawCheck = cp5.addCheckBox("checkBox")
                .setPosition(firstMargin, guiY + 60)
                .setColorForeground(color(120))
                .setColorActive(color(255))
                .setColorLabel(color(255))
                .setSize(14, 14)
                .setItemsPerRow(5)
                .setSpacingColumn(60)
                .setSpacingRow(20)
                .addItem("Axis", 0)
                .addItem("Mesh", 0)
                .addItem("NodeGraph", 0)
                //.addItem("Funnel", 0)
                //.addItem("FunnelPath", 0)
                ;
  drawCheck.activate("Axis");
  drawCheck.activate("Mesh");
  drawCheck.activate("NodeGraph");
  //drawCheck.deactivate("Funnel");
  //drawCheck.deactivate("FunnelPath");
}

void controlEvent(ControlEvent theEvent) {
  /*
  if(theEvent.isAssignableFrom(Textfield.class)) {
    if(theEvent.getName() == "startFld"){
      int i = world.setStartNode(int(theEvent.getStringValue()));
      cp5.get(Textfield.class,"startFld").setText(str(i));
      cp5.get(Slider.class,"StartIndex").setValue(i);
    }
    if(theEvent.getName() == "goalFld"){
      int i =world.setGoalNode(int(theEvent.getStringValue()));
      cp5.get(Textfield.class,"goalFld").setText(str(i));
      cp5.get(Slider.class,"GoalIndex").setValue(i);
    }
  }
  */
}
void StartIndex(int index) {
  int i = world.setStartNode(index);
  //cp5.get(Textfield.class,"startFld").setText(str(i));
}
void GoalIndex(int index) {
  int i = world.setGoalNode(index);
  //cp5.get(Textfield.class,"goalFld").setText(str(i));
}
void drawGUI() {
  if (drawCheck.getState("FunnelPath")){
    logArea.show();
  }else{
    logArea.hide();
  }
  hint(DISABLE_DEPTH_TEST);
  cam.beginHUD();
  if (drawCheck.getState("NodeGraph")){
    textSize(12);
    for (int i=0 ;i < hemodel.faces.size();i++) {
      HEFace f = hemodel.faces.get(i);
      text(f.index,nodeIndexOnScreen.get(i).x,nodeIndexOnScreen.get(i).y);
    }
  }
  fill(0, 150);
  noStroke();
  rect(0, height-100, width, 100);
  fill(255);
  textSize(18);
  cp5.draw();
  cam.endHUD();
  hint(ENABLE_DEPTH_TEST);
}
